<template>
	<div>
		<highcharts :options="options"></highcharts>
	</div>
</template>

<script>
import { Chart } from "highcharts-vue";

export default {
	props: {
		series: {
			type: Object,
			required: true,
		},
	},
	components: {
		highcharts: Chart,
	},
	data: function () {
		return {
			options: {
				chart: {
					height: 231,
				},
				credits: false,
				title: {
					text: "Latex Holding Tank",
					style: {
						fontSize: "1.5rem",
					},
				},
				xAxis: {
					categories: this.series.xAxis,
				},
				yAxis: {
					max: 100,
					title: {
						text: "Volume (%)",
					},
					tickInterval: 10,
				},
				series: this.series.yAxis,
			},
		};
	},
};
</script>
